WWW::Noss::Timestamp(3pm)

NAME
WWW::Noss::Timestamp - Parse timestamps

USAGE
  use WWW::Noss::Timestamp;

  my $epoch = WWW::Noss::Timestamp->rfc3339(
    '2025-07-12T00:23:00Z'
  );

DESCRIPTION
WWW::Noss::Timestamp is a module that provides methods for parsing various timestamp formats used by RSS and Atom feeds. This is a private module, please consult the noss(1) manual for user documentation.

METHODS
Each method is invoked as a class method. Methods will return the timestamp's seconds since the Unix epoch or "undef" on failure.

$epoch = WWW::Noss::Timestamp->mail($str)
    Parse RFC2822/822 timestamps, used by RSS feeds. This is a lenient parser that is capable of parsing some non-standard timestamps.

$epoch = WWW::Noss::Timestamp->rfc3339($str)
    Parse RFC3339 timestamps, used by Atom feeds.

AUTHOR
Written by Samuel Young, <samyoung12788@gmail.com>.

This project's source can be found on its Codeberg page <https://codeberg.org/1-1sam/noss.git>. Comments and pull requests are welcome!

COPYRIGHT
Copyright (C) 2025 Samuel Young

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

SEE ALSO
noss